# ci-files

CI files repository

## docker containers

Check for instructions on how to set up the required jobs in the [docker configuration Readme](docker-containers/README.md).
Create gitlab-ci.yml with: 

```yaml
include:
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/docker-containers/artifactory-python.yml
```

## npm packages

create gitlab-ci.yml with: 

```yaml
include:
  - remote: 'https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/npm-packages/gitlab-ci.yml'
```


# Maven project dockerized with azure deploy

create gitlab-ci.yml with: 

```yaml
  include:
  - remote: 'https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/project-maven-azure-docker/gitlab-ci.yml'
```

# Maven packages

You can find individual maven jobs for build, test and deploy to artifactoy. Check for instructions on how to set up the required jobs in the [maven configuration Readme](maven-packages/README.md).

# Python packages

Python project CI's are set up to perform virtualenv generation, test running, documentation generation with gitlab pages and artifactory deploy. Check for instructions on how to set up the required jobs in the [python configuration Readme](python-packages/README.md).

# Sonarqube

You can use the [Tecnalia Sonarqube](https://sonar.code.tecnalia.com/) to analyse your code, please check the [sonarqube configuration Readme](sonarqube/README.md) to configure the sonarqube analysis in your CI pipeline.
